- [HTTP request](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/getInstallStatus#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/getInstallStatus#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/getInstallStatus#body.request_body)
- [Response body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/getInstallStatus#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/getInstallStatus#body.InstallStatus.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/getInstallStatus#body.aspect)
- [Try it!](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/getInstallStatus#try-it)

Gets the install status of a test deployment.

### HTTP request

`GET https://gsuiteaddons.googleapis.com/v1/{name=projects/*/deployments/*/installStatus}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The full resource name of the deployment. Example: `projects/my_project/deployments/my_deployment/installStatus`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `gsuiteaddons.deployments.installStatus` |

### Request body

The request body must be empty.

### Response body

Install status of a test deployment.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "installed": boolean } ``` |

| Fields ||
|---|---|
| `name` | `string` The canonical full resource name of the deployment install status. Example: `projects/123/deployments/my_deployment/installStatus`. |
| `installed` | `boolean` True if the deployment is installed for the user. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).